<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIFSDocument (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIFSDocument (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSDocument.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocumentPath.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/POIFSDocument.html"
               target="_top">Frames</a></li>
        <li><a href="POIFSDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class POIFSDocument" class="title">Class POIFSDocument</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.filesystem.POIFSDocument</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;java.nio.ByteBuffer&gt;, <a
                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">POIFSDocument</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
              title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>, java.lang.Iterable&lt;java.nio.ByteBuffer&gt;</pre>
                <div class="block">This class manages a document in the NIO POIFS filesystem.
                    This is the <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                   title="class in org.apache.poi.poifs.filesystem"><code>POIFSFileSystem</code></a>
                    version.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#POIFSDocument-org.apache.poi.poifs.filesystem.DocumentNode-">POIFSDocument</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DocumentNode</a>&nbsp;document)</code>
                                    <div class="block">Constructor for an existing Document</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#POIFSDocument-org.apache.poi.poifs.property.DocumentProperty-org.apache.poi.poifs.filesystem.POIFSFileSystem-">POIFSDocument</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/property/DocumentProperty.html"
                                        title="class in org.apache.poi.poifs.property">DocumentProperty</a>&nbsp;property,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)</code>
                                    <div class="block">Constructor for an existing Document</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#POIFSDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSWriterListener-">POIFSDocument</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;size,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                                       title="interface in org.apache.poi.poifs.filesystem">POIFSWriterListener</a>&nbsp;writer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#POIFSDocument-java.lang.String-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.io.InputStream-">POIFSDocument</a></span>(java.lang.String&nbsp;name,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem,
                                    java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">Constructor for a new Document</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#getShortDescription--">getShortDescription</a></span>()</code>
                                    <div class="block">Provides a short description of the object, to be used when a
                                        POIFSViewable object has not provided its contents.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#getSize--">getSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Object[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#getViewableArray--">getViewableArray</a></span>()</code>
                                    <div class="block">Get an array of objects, some of which may implement
                                        POIFSViewable
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;java.lang.Object&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#getViewableIterator--">getViewableIterator</a></span>()</code>
                                    <div class="block">Get an Iterator of objects, some of which may implement
                                        POIFSViewable
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;java.nio.ByteBuffer&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#preferArray--">preferArray</a></span>()</code>
                                    <div class="block">Give viewers a hint as to whether to call getViewableArray or
                                        getViewableIterator
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocument.html#replaceContents-java.io.InputStream-">replaceContents</a></span>(java.io.InputStream&nbsp;stream)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="POIFSDocument-org.apache.poi.poifs.filesystem.DocumentNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POIFSDocument</h4>
                                <pre>public&nbsp;POIFSDocument(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DocumentNode</a>&nbsp;document)</pre>
                                <div class="block">Constructor for an existing Document</div>
                            </li>
                        </ul>
                        <a name="POIFSDocument-org.apache.poi.poifs.property.DocumentProperty-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POIFSDocument</h4>
                                <pre>public&nbsp;POIFSDocument(<a
                                        href="../../../../../org/apache/poi/poifs/property/DocumentProperty.html"
                                        title="class in org.apache.poi.poifs.property">DocumentProperty</a>&nbsp;property,
                     <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem)</pre>
                                <div class="block">Constructor for an existing Document</div>
                            </li>
                        </ul>
                        <a name="POIFSDocument-java.lang.String-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>POIFSDocument</h4>
                                <pre>public&nbsp;POIFSDocument(java.lang.String&nbsp;name,
                     <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem,
                     java.io.InputStream&nbsp;stream)
              throws java.io.IOException</pre>
                                <div class="block">Constructor for a new Document</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the POIFSDocument</dd>
                                    <dd><code>stream</code> - the InputStream we read data from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="POIFSDocument-java.lang.String-int-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSWriterListener-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>POIFSDocument</h4>
                                <pre>public&nbsp;POIFSDocument(java.lang.String&nbsp;name,
                     int&nbsp;size,
                     <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;filesystem,
                     <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSWriterListener.html"
                        title="interface in org.apache.poi.poifs.filesystem">POIFSWriterListener</a>&nbsp;writer)
              throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;java.nio.ByteBuffer&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;java.nio.ByteBuffer&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>size of the document</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="replaceContents-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>replaceContents</h4>
                                <pre>public&nbsp;void&nbsp;replaceContents(java.io.InputStream&nbsp;stream)
                     throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getViewableArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getViewableArray</h4>
                                <pre>public&nbsp;java.lang.Object[]&nbsp;getViewableArray()</pre>
                                <div class="block">Get an array of objects, some of which may implement POIFSViewable
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getViewableArray--">getViewableArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of Object; may not be null, but may be empty</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getViewableIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getViewableIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;java.lang.Object&gt;&nbsp;getViewableIterator()</pre>
                                <div class="block">Get an Iterator of objects, some of which may implement
                                    POIFSViewable
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getViewableIterator--">getViewableIterator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Iterator; may not be null, but may have an empty back end
                                        store
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="preferArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>preferArray</h4>
                                <pre>public&nbsp;boolean&nbsp;preferArray()</pre>
                                <div class="block">Give viewers a hint as to whether to call getViewableArray or
                                    getViewableIterator
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#preferArray--">preferArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if a viewer should call getViewableArray,
                                        <code>false</code> if a viewer should call getViewableIterator
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShortDescription--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShortDescription</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShortDescription()</pre>
                                <div class="block">Provides a short description of the object, to be used when a
                                    POIFSViewable object has not provided its contents.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getShortDescription--">getShortDescription</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short description</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIFSDocument.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/Ole10NativeException.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/POIFSDocumentPath.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/POIFSDocument.html"
               target="_top">Frames</a></li>
        <li><a href="POIFSDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
